%global srcname reproject
%global sum Reproject astronomical images

Name:           python-%{srcname}
Version:        0.4
Release:        4%{?dist}
Summary:        %{sum}

License:        BSD and ASL 2.0 and Python
# Licensing breakdown
# In general: BSD, see licenses/LICENSE.rst
#
# Exceptions:
# Apache (2.0):
#    astropy_helpers/astropy_helpers/sphinx/themes/bootstrap-astropy/static/bootstrap-astropy.css
#
# PSF:
#    astropy_helpers/licenses/LICENSE_COPYBUTTON.rst
#    astropy_helpers/astropy_helpers/sphinx/themes/bootstrap-astropy/static/copybutton.js
#
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc

BuildRequires:  python2-astropy
BuildRequires:  python2-astropy-helpers
BuildRequires:  python2-devel
BuildRequires:  python3-astropy
BuildRequires:  python3-astropy-healpix
BuildRequires:  python3-astropy-helpers
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-astropy

%description
%{sum}.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-astropy

%description -n python2-%{srcname}
%{sum}.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astropy
Requires:       python3-astropy-healpix

%description -n python3-%{srcname}
%{sum}.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%check
# Test only python3 build, as test suite uses python3-pytest-astropy (Py3 only package)
pushd %{buildroot}/%{python3_sitearch}
py.test-%{python3_version} reproject
rm -rf .pytest_cache
popd

%files -n python2-%{srcname}
%license LICENSE.md
%doc CHANGES.md README.rst
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license LICENSE.md
%doc CHANGES.md README.rst
%{python3_sitearch}/*

%changelog
* Sun Jul 15 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.4-4
- BuildRequires: gcc

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-2
- Rebuilt for Python 3.7

* Fri Mar 23 2018 Christian Dersch <lupinix@mailbox.org> - 0.4-1
- new version

* Wed Feb 14 2018 Christian Dersch <lupinix@mailbox.org> - 0.3.2-3
- rebuilt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 22 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- new version

* Thu Oct 12 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.1-7
- Recommend python-healpy

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-3
- Rebuild for Python 3.6

* Fri Oct 07 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-2
- Added license breakdown

* Tue Oct 04 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-1
- Initial packaging

